//Include Povray of explosion D with frames from 15 to 20 (28 frames total for all the explosion)
//Explosion cloud. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

#declare SphereScale = 0;
AffineTimeSetterBoundOnly(15, 20, 0.68, 0.5, SphereScale, time)

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        //White smoke media
        media{
            emission 2
            density{ spherical density_map{
                                            [0.05 color srgb 0]
                                            [0.1 radial color_map{ 
                                                [0.0 color srgb 0]
                                                [0.5 color srgb 0]
                                                [0.5 color srgb 1]
                                                [1 color srgb 1]
                                            }
                                            frequency 120
                                            rotate 90*x
                                            ]
                                            [0.2 color srgb 1 ]
                                }
                warp{ turbulence ((time-14) * 0.1) }
            }
        }
    }
    scale SphereScale
}